Documentation
¶
Index ¶
- Constants
- type WeaviateMetaGet
- type WeaviateMetaGetHandler
- type WeaviateMetaGetHandlerFunc
- type WeaviateMetaGetInternalServerError
- func (o *WeaviateMetaGetInternalServerError) SetPayload(payload *models.ErrorResponse)
- func (o *WeaviateMetaGetInternalServerError) WithPayload(payload *models.ErrorResponse) *WeaviateMetaGetInternalServerError
- func (o *WeaviateMetaGetInternalServerError) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
- type WeaviateMetaGetOK
- type WeaviateMetaGetParams
- type WeaviateMetaGetURL
- func (o *WeaviateMetaGetURL) Build() (*url.URL, error)
- func (o *WeaviateMetaGetURL) BuildFull(scheme, host string) (*url.URL, error)
- func (o *WeaviateMetaGetURL) Must(u *url.URL, err error) *url.URL
- func (o *WeaviateMetaGetURL) SetBasePath(bp string)
- func (o *WeaviateMetaGetURL) String() string
- func (o *WeaviateMetaGetURL) StringFull(scheme, host string) string
- func (o *WeaviateMetaGetURL) WithBasePath(bp string) *WeaviateMetaGetURL
- type WeaviateMetaGetUnauthorized
Constants ¶
const WeaviateMetaGetInternalServerErrorCode int = 500
WeaviateMetaGetInternalServerErrorCode is the HTTP code returned for type WeaviateMetaGetInternalServerError
const WeaviateMetaGetOKCode int = 200
WeaviateMetaGetOKCode is the HTTP code returned for type WeaviateMetaGetOK
WeaviateMetaGetUnauthorizedCode is the HTTP code returned for type WeaviateMetaGetUnauthorized
Variables ¶
This section is empty.
Functions ¶
This section is empty.
Types ¶
type WeaviateMetaGet ¶
type WeaviateMetaGet struct {
Context *middleware.Context
Handler WeaviateMetaGetHandler
}
WeaviateMetaGet swagger:route GET /meta meta weaviateMetaGet
Returns meta information of the current Weaviate instance.
Gives meta information about the server and can be used to provide information to another Weaviate instance that wants to interact with the current instance.
func NewWeaviateMetaGet ¶
func NewWeaviateMetaGet(ctx *middleware.Context, handler WeaviateMetaGetHandler) *WeaviateMetaGet
NewWeaviateMetaGet creates a new http.Handler for the weaviate meta get operation
func (*WeaviateMetaGet) ServeHTTP ¶
func (o *WeaviateMetaGet) ServeHTTP(rw http.ResponseWriter, r *http.Request)
type WeaviateMetaGetHandler ¶
type WeaviateMetaGetHandler interface {
Handle(WeaviateMetaGetParams) middleware.Responder
}
WeaviateMetaGetHandler interface for that can handle valid weaviate meta get params
type WeaviateMetaGetHandlerFunc ¶
type WeaviateMetaGetHandlerFunc func(WeaviateMetaGetParams) middleware.Responder
WeaviateMetaGetHandlerFunc turns a function with the right signature into a weaviate meta get handler
func (WeaviateMetaGetHandlerFunc) Handle ¶
func (fn WeaviateMetaGetHandlerFunc) Handle(params WeaviateMetaGetParams) middleware.Responder
Handle executing the request and returning a response
type WeaviateMetaGetInternalServerError ¶
type WeaviateMetaGetInternalServerError struct {
/*
In: Body
*/
Payload *models.ErrorResponse `json:"body,omitempty"`
}
WeaviateMetaGetInternalServerError An error has occurred while trying to fulfill the request. Most likely the ErrorResponse will contain more information about the error.
swagger:response weaviateMetaGetInternalServerError
func NewWeaviateMetaGetInternalServerError ¶
func NewWeaviateMetaGetInternalServerError() *WeaviateMetaGetInternalServerError
NewWeaviateMetaGetInternalServerError creates WeaviateMetaGetInternalServerError with default headers values
func (*WeaviateMetaGetInternalServerError) SetPayload ¶
func (o *WeaviateMetaGetInternalServerError) SetPayload(payload *models.ErrorResponse)
SetPayload sets the payload to the weaviate meta get internal server error response
func (*WeaviateMetaGetInternalServerError) WithPayload ¶
func (o *WeaviateMetaGetInternalServerError) WithPayload(payload *models.ErrorResponse) *WeaviateMetaGetInternalServerError
WithPayload adds the payload to the weaviate meta get internal server error response
func (*WeaviateMetaGetInternalServerError) WriteResponse ¶
func (o *WeaviateMetaGetInternalServerError) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
type WeaviateMetaGetOK ¶
WeaviateMetaGetOK Successful response.
swagger:response weaviateMetaGetOK
func NewWeaviateMetaGetOK ¶
func NewWeaviateMetaGetOK() *WeaviateMetaGetOK
NewWeaviateMetaGetOK creates WeaviateMetaGetOK with default headers values
func (*WeaviateMetaGetOK) SetPayload ¶
func (o *WeaviateMetaGetOK) SetPayload(payload *models.Meta)
SetPayload sets the payload to the weaviate meta get o k response
func (*WeaviateMetaGetOK) WithPayload ¶
func (o *WeaviateMetaGetOK) WithPayload(payload *models.Meta) *WeaviateMetaGetOK
WithPayload adds the payload to the weaviate meta get o k response
func (*WeaviateMetaGetOK) WriteResponse ¶
func (o *WeaviateMetaGetOK) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
type WeaviateMetaGetParams ¶
WeaviateMetaGetParams contains all the bound params for the weaviate meta get operation typically these are obtained from a http.Request
swagger:parameters weaviate.meta.get
func NewWeaviateMetaGetParams ¶
func NewWeaviateMetaGetParams() WeaviateMetaGetParams
NewWeaviateMetaGetParams creates a new WeaviateMetaGetParams object no default values defined in spec.
func (*WeaviateMetaGetParams) BindRequest ¶
func (o *WeaviateMetaGetParams) BindRequest(r *http.Request, route *middleware.MatchedRoute) error
BindRequest both binds and validates a request, it assumes that complex things implement a Validatable(strfmt.Registry) error interface for simple values it will use straight method calls.
To ensure default values, the struct must have been initialized with NewWeaviateMetaGetParams() beforehand.
type WeaviateMetaGetURL ¶
type WeaviateMetaGetURL struct {
// contains filtered or unexported fields
}
WeaviateMetaGetURL generates an URL for the weaviate meta get operation
func (*WeaviateMetaGetURL) Build ¶
func (o *WeaviateMetaGetURL) Build() (*url.URL, error)
Build a url path and query string
func (*WeaviateMetaGetURL) BuildFull ¶
func (o *WeaviateMetaGetURL) BuildFull(scheme, host string) (*url.URL, error)
BuildFull builds a full url with scheme, host, path and query string
func (*WeaviateMetaGetURL) Must ¶
Must is a helper function to panic when the url builder returns an error
func (*WeaviateMetaGetURL) SetBasePath ¶
func (o *WeaviateMetaGetURL) SetBasePath(bp string)
SetBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string
func (*WeaviateMetaGetURL) String ¶
func (o *WeaviateMetaGetURL) String() string
String returns the string representation of the path with query string
func (*WeaviateMetaGetURL) StringFull ¶
func (o *WeaviateMetaGetURL) StringFull(scheme, host string) string
StringFull returns the string representation of a complete url
func (*WeaviateMetaGetURL) WithBasePath ¶
func (o *WeaviateMetaGetURL) WithBasePath(bp string) *WeaviateMetaGetURL
WithBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string
type WeaviateMetaGetUnauthorized ¶
type WeaviateMetaGetUnauthorized struct {
}
WeaviateMetaGetUnauthorized Unauthorized or invalid credentials.
swagger:response weaviateMetaGetUnauthorized
func NewWeaviateMetaGetUnauthorized ¶
func NewWeaviateMetaGetUnauthorized() *WeaviateMetaGetUnauthorized
NewWeaviateMetaGetUnauthorized creates WeaviateMetaGetUnauthorized with default headers values
func (*WeaviateMetaGetUnauthorized) WriteResponse ¶
func (o *WeaviateMetaGetUnauthorized) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client